Show / Hide Table of Contents

# Interface ICategoryChannel

Represents a generic category channel.

##### Inherited Members

IGuildChannel.Position
IGuildChannel.Guild
IGuildChannel.GuildId
IGuildChannel.PermissionOverwrites
IGuildChannel.ModifyAsync(Action<GuildChannelProperties>, RequestOptions)
IGuildChannel.GetPermissionOverwrite(IRole)
IGuildChannel.GetPermissionOverwrite(IUser)
IGuildChannel.RemovePermissionOverwriteAsync(IRole, RequestOptions)
IGuildChannel.RemovePermissionOverwriteAsync(IUser, RequestOptions)
IGuildChannel.AddPermissionOverwriteAsync(IRole, OverwritePermissions, RequestOptions)
IGuildChannel.AddPermissionOverwriteAsync(IUser, OverwritePermissions, RequestOptions)
IGuildChannel.GetUsersAsync(CacheMode, RequestOptions)
IGuildChannel.GetUserAsync(UInt64, CacheMode, RequestOptions)
IChannel.Name
ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id
IDeletable.DeleteAsync(RequestOptions)

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface ICategoryChannel : IGuildChannel, IChannel, ISnowflakeEntity, IEntity<ulong>, IDeletable